
Foreman - Refactor #31096

Tracker # 30160 (New): Extract Puppet ENC to a plugin

Tracker # 30171 (Closed): Extract ConfigGroups to a plugin

Extract ConfigGroup migrations

10/19/2020 11:32 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Puppet integration   

Target version: 3.1.0   

Difficulty:  Fixed in Releases: 3.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8790

  

Description

Associated revisions

Revision 17d3fe68 - 10/14/2021 01:00 PM - Ondřej Ezr

Fixes #31096 - remove config group migrations

These migrations had been added to the plugin foreman_puppet_enc.

Details of addition https://github.com/theforeman/foreman_puppet_enc/pull/13

History

#1 - 05/24/2021 08:38 AM - Ondřej Ezr

- Status changed from New to Assigned

- Assignee changed from Shira Maximov to Ondřej Ezr

#2 - 09/22/2021 11:05 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8790 added

#3 - 10/13/2021 11:09 AM - Ondřej Ezr

- Target version set to 3.1.0

#4 - 10/14/2021 01:00 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 10/14/2021 02:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|17d3fe684837a476cfd0d80733e6026512c5492a.
